The link for downloading it won't work. I must have this file again. I prefer it to 1.6 because I can take out the extra mods. Please get it up again, I wish to contine my campaign! Thank you.